/*
 * This file is part of the AdvanceMAME project
 *
 * Copyright (C) 1999-2001 Andrea Mazzoleni
 *
 * The contents of this file are free for non-commercial use.
 * Any commercial use is forbidden.
 */

#ifndef __VBE_H
#define __VBE_H

#include "screen.h"

#ifdef __cplusplus
extern "C" {
#endif

int vbe_mode_grab(vbe_video_mode* mode);
int vbe_mode_import(video_mode* mode);
int vbe_palette8_set(video_color* palette, unsigned start, unsigned count, int waitvsync);

video_error vbe_mode_import_and_insert(video_mode_container* vmc, video_mode* mode);
void video_mode_container_insert_vbe(video_mode_container* vmc);
void video_mode_vbe_print(char* s, const video_mode* vm);

#ifdef __cplusplus
}
#endif


#endif
