/*
 * This file is part of the AdvanceMAME project
 *
 * Copyright (C) 1999-2001 Andrea Mazzoleni
 *
 * The contents of this file are free for non-commercial use.
 * Any commercial use is forbidden.
 */

#ifndef __VGATWEAK_H
#define __VGATWEAK_H

#include "screen.h"

#ifdef __cplusplus
extern "C" {
#endif

extern vgatweak_video_mode tweak_13_default;
extern vgatweak_video_mode tweak_6A_default;
extern vgatweak_video_mode tweak_3_default;
extern vgatweak_video_mode tweak_1_default;

int vgatweak_mode_set(vgatweak_video_mode* mode);
void vgatweak_mode_done(void);
int vgatweak_mode_grab(vgatweak_video_mode* mode);
int vgatweak_mode_import(video_mode* mode);
int vgatweak_mode_import_ext(video_mode* mode,vgatweak_video_mode* driver);

video_error vgatweak_mode_import_and_insert(video_mode_container* vmc, video_mode* mode);
void video_mode_container_insert_vgatweak(video_mode_container* vmc);
void video_mode_vgatweak_print(char* s, const video_mode* mode);

#ifdef __cplusplus
}
#endif

#endif
